@import "~sass-material-colors";
@import "./variables";

@media (max-width: $UI_MAIN_MENU_MOBILE_TRIGGER) {
  :host {
    display: none;
  }
}

@media (min-width: $UI_MAIN_MENU_MOBILE_TRIGGER + 1px) {
  :host {
    display: block;
  }
}

.js-scroll-top-menu {
  position: relative;
}

.cmp-ui-main-menu {
  .lp-main-menu-container {
    display: flex;
    justify-content: center;
    white-space: nowrap;
    background-color: #ffffff;
    z-index: 999;
    color: #ffffff;
  }

  .lp-landing-home-main-menu {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    a.main-menu-link {
      font-family: "PT Sans", sans-serif;
      font-weight: 700;
      font-size: 15px;
      color: #000000;
      text-transform: uppercase;
      transition: color 0.1s;
      line-height: 60px;
      position: relative;

      .counter, .text {
        display: inline-block;
      }

      .counter {
        margin-left: 7px;
      }

      &:hover {
        color: material-color("blue", "900");
      }
    }
  }

  .columns {
    border-bottom: 1px dotted #ccc;

    ul {
      list-style-type: none;
      margin: 0;
      padding: 0;
    }

    .column {
      display: inline-block;
      margin: 10px 10px;

      color: #222;
      text-transform: uppercase;
      font-size: 16px;

      a.main-menu-link {
        text-decoration: none;
      }
    }
  }
}
